<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$title = 'Comprobar Duplicidad de los Productos';
echo "<title>".AppName.' - '.$title."</title>";

$codigo = $_GET['id'];
$Items = new DB();
$sqlItems = "SELECT * FROM inventarios_productos
WHERE prod_codigo = '$codigo';";
$Items->dbSQL($sqlItems);
$Items->next();
	$itemComprobar = $Items->dbField('prod_item');

function DetSucursal($cod){
	$db = new DB();
	$sqldb = "SELECT * FROM inventarios_ubicaciones
	WHERE ubica_codigo = '$cod';";
	$db->dbSQL($sqldb);
	$db->next();
		$sucursal = $db->dbField('ubica_nombre');

	return $sucursal;
}	
?>
<style>
th{background:#156E10;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">		
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
																									
									<div class="table-responsive">											
										<table id="add-row" class="display table table-striped table-hover" >
											<thead>
												<tr>		
													<th>N&ordm;</th>		
													<th>item</th>			
													<th>producto</th>
													<th>ubicacion</th>
													<th>cajas</th>
													<th>unidades por caja</th>
													<th>unidades real</th>
												</tr>
											</thead>											
											<tbody>
											<?php											
											$sql = "SELECT * FROM inventarios_productos p, inventarios_ubicaciones u
											WHERE p.prod_item = '$itemComprobar'
											AND p.prod_estado = '1'
											AND p.ubica_codigo = u.ubica_codigo;";												
											/*$sql = "SELECT p.prod_item, p.prod_nombre, u.ubica_codigo,
											COUNT(*) AS total
											FROM inventarios_productos p, inventarios_ubicaciones u
												WHERE prod_item<>''
												AND p.ubica_codigo = u.ubica_codigo
											GROUP BY p.prod_item, p.prod_nombre HAVING total > 1;";	
											*/
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											while($db->next()){						
											$i++;																							
												$prod_codigo = $db->dbField('prod_codigo');
												$prod_item = $db->dbField('prod_item');
												$prod_nombre = $db->dbField('prod_nombre');
												$cod_sucursal = $db->dbField('ubica_codigo');
												
												$prod_piezascaja = $db->dbField('prod_piezascaja');
												$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
												$prod_unidadesreal = $db->dbField('prod_unidadesreal');
												$CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;		

												$html.='<tr>';												
													$html.='<td align=center><b>'.$i.'</b></td>';											
													$html.='<td align=center>'.$prod_item.'</td>';
													$html.='<td>'.$prod_nombre.'</td>';																					
													$html.='<td align=center>'.DetSucursal($cod_sucursal).'</td>';															
													$html.='<td align=center>'.$CantidadRealCajas.'</td>';
													$html.='<td align=center>'.$prod_piezascaja.'</td>';	
													$html.='<td align=center>'.$prod_unidadesreal.'</td>';																															
												$html.='</tr>';											
												
											}//wend() 
											
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>
$(document).ready(function() {			
	$('#add-row').DataTable({
		"pageLength": 10,
	});
});	
</script>